Header Ads Widget

Ticker

6/recent/ticker-posts

[Resuelto] Exception is: org.gradle.api.plugins.UnknownPluginException: Plugin [id: ‘com.android.application’, version: ‘7.1.3’, apply: false] was not found in any of the following sources

Acabo de actualizar mi complemento de Gradle, pero ahora no puedo compilarlo. Está dando el siguiente error . La excepción es: org.gradle.api.plugins.UnknownPluginException: complemento [id: 'com.android.application', versión: '7.1 .3', apply: false] no se encontró en ninguna de las siguientes fuentes  en  Android-gradle . Vamos a aprender sobre todas las soluciones posibles, así que comencemos con este artículo

Cómo es la excepción: org.gradle.api.plugins.UnknownPluginException: el complemento [id: 'com.android.application', versión: '7.1.3', apply: false] no se encontró en ninguna de las siguientes fuentes ¿Ocurre un error?

Acabo de actualizar mi complemento de Gradle, pero ahora no puedo compilarlo. Está dando el siguiente error:

El complemento [id: 'com.android.application', versión: '7.1.3', apply: false] no se encontró en ninguna de las siguientes fuentes: la

excepción es: org.gradle.api.plugins.UnknownPluginException: complemento [id : 'com.android.application', versión: '7.1.3', apply: false] no se encontró en ninguna de las siguientes fuentes

Repositorios de complementos (no se pudo resolver el artefacto del complemento 'com.android.application:com.android.application .gradle.plugin:7.1.3') Se buscó en los siguientes repositorios: Gradle Central Plugin Repository Google MavenRepo

Así que aquí estoy escribiendo todas las posibles soluciones que he intentado para resolver este error.

Cómo resolver la excepción es: org.gradle.api.plugins.UnknownPluginException: el complemento [id: 'com.android.application', versión: '7.1.3', apply: false] no se encontró en ninguna de las siguientes fuentes Error ?

  1. Cómo resolver la excepción es: org.gradle.api.plugins.UnknownPluginException: el complemento [id: 'com.android.application', versión: '7.1.3', apply: false] no se encontró en ninguna de las siguientes fuentes Error ?

    Para resolver la excepción es: org.gradle.api.plugins.UnknownPluginException: el complemento [id: 'com.android.application', versión: '7.1.3', apply: false] no se encontró en ninguna de las siguientes fuentes Error como El error sugiere que la versión  7.1.3 no se encuentra en ninguna de las siguientes fuentes, por lo que solo necesitamos cambiar la siguiente versión del complemento en el archivo build.gradle y se ha lanzado Android Gradle Plugin 7.1.3. Entonces, en primer lugar, abra su archivo build.gradle y luego busque complementos y cambie su versión como se indica a continuación: complementos {id 'com.android.application' versión '7.1.2' apply false id 'com.android.library' versión ' 7.1.2' apply false } Ahora, intente reconstruir su proyecto y su error debe resolverse ahora. Gracias.

  2. La excepción es: org.gradle.api.plugins.UnknownPluginException: el complemento [id: 'com.android.application', versión: '7.1.3', apply: false] no se encontró en ninguna de las siguientes fuentes

    Para resolver la excepción es: org.gradle.api.plugins.UnknownPluginException: el complemento [id: 'com.android.application', versión: '7.1.3', apply: false] no se encontró en ninguna de las siguientes fuentes Error como El error sugiere que la versión  7.1.3 no se encuentra en ninguna de las siguientes fuentes, por lo que solo necesitamos cambiar la siguiente versión del complemento en el archivo build.gradle y se ha lanzado Android Gradle Plugin 7.1.3. Entonces, en primer lugar, abra su archivo build.gradle y luego busque complementos y cambie su versión como se indica a continuación: complementos {id 'com.android.application' versión '7.1.2' apply false id 'com.android.library' versión ' 7.1.2' apply false } Ahora, intente reconstruir su proyecto y su error debe resolverse ahora. Gracias.

Solución 1: actualice la versión del complemento

Como Error sugiere que la versión  7.1.3 no se encuentra en ninguna de las siguientes fuentes, solo tenemos que cambiar la siguiente versión del complemento en el archivo build.gradle y se ha lanzado Android Gradle Plugin 7.1.3. Entonces, en primer lugar, abra su archivo build.gradle y luego busque complementos y cambie su versión como se indica a continuación.

plugins {
    id 'com.android.application' version '7.1.2' apply false
    id 'com.android.library' version '7.1.2' apply false
}

Ahora, intente reconstruir su proyecto y su error debe resolverse ahora. Gracias.

Resumen

Se trata de este error. Espero que hayamos resuelto su error. Comenta abajo Tus pensamientos y tus consultas. Además, comente a continuación qué solución funcionó para usted.

Publicar un comentario

0 Comentarios